sk(1)

NAME
sk - Fuzzy Finder in rust!

SYNOPSIS
sk [--tac] [--min-query-length] [--no-sort] [-t|--tiebreak] [-n|--nth] [--with-nth] [-d|--delimiter] [-e|--exact] [--regex] [--algo] [--case] [--typos] [--no-typos] [--normalize] [--split-match] [--last-match] [--scheme] [-b|--bind] [-m|--multi] [--no-multi] [--no-mouse] [-c|--cmd] [-i|--interactive] [-I ] [--color] [--highlight-line] [--no-hscroll] [--keep-right] [--skip-to-pattern] [--no-clear-if-empty] [--no-clear-start] [--no-clear] [--show-cmd-error] [--cycle] [--disabled] [--disable-pattern] [--layout] [--reverse] [--height] [--no-height] [--min-height] [--margin] [-p|--prompt] [--cmd-prompt] [--selector] [--multi-selector] [--ansi] [--tabstop] [--info] [--no-info] [--inline-info] [--header] [--header-lines] [--border] [--no-border] [--wrap] [--multiline] [--scrollbar] [--no-scrollbar] [--history] [--history-size] [--cmd-history] [--cmd-history-size] [--preview] [--preview-window] [--image] [-q|--query] [--cmd-query] [--read0] [--print0] [--print-query] [--print-cmd] [--print-score] [--print-header] [--print-current] [--output-format] [--no-strip-ansi] [-1|--select-1] [-0|--exit-0] [--sync] [--pre-select-n] [--pre-select-pat] [--pre-select-items] [--pre-select-file] [-f|--filter] [--shell] [--shell-bindings] [--man] [--listen] [--remote] [--popup] [--log-level] [--log-file] [--expect] [-h|--help] [-V|--version]

OPTIONS

-h, --help
    Print help (see a summary with '-h')

-V, --version
    Print version

SEARCH

--tac
    Show results in reverse order Often used in combination with --no-sort

--min-query-length <MIN_QUERY_LENGTH>
    Minimum query length to start showing results Only show results when the query is at least this many characters long

--no-sort
    Do not sort the results Often used in combination with --tac Example: history | sk --tac --no-sort

-t, --tiebreak <TIEBREAK> [default: score,begin,end]
    Comma-separated list of sort criteria to apply when the scores are tied. * **score**: Score of the fuzzy match algorithm
        - Each criterion could be negated, e.g. (-index)
        - Each criterion should appear only once in the list
    Possible values:

    •   score

    •   -score

    •   begin

    •   -begin

    •   end

    •   -end

    •   length

    •   -length

    •   index

    •   -index

    •   pathname

    •   -pathname

-n, --nth <NTH> [default: ]
    Fields to be matched A field index expression can be a non-zero integer or a range expression (`[BEGIN]..[END]`). `--nth` and `--with-nth` take a comma-separated list of field index expressions. **Examples:**
        1 The 1st field
        2 The 2nd field
        -1 The last field
        -2 The 2nd to last field
        3..5 From the 3rd field to the 5th field
        2.. From the 2nd field to the last field
        ..-3 From the 1st field to the 3rd to the last field
        .. All the fields

--with-nth <WITH_NTH> [default: ]
    Fields to be transformed See nth for the details

-d, --delimiter <DELIMITER> [default: [\t\n ]+]
    Delimiter between fields In regex format, defaults to AWK-style. Escape sequences like \x00, \t, \n are supported.

-e, --exact
    Run in exact mode

--regex
    Start in regex mode instead of fuzzy-match

--algo <ALGORITHM> [default: arinae]
    Fuzzy matching algorithm - arinae (ari) Latest algorithm - `skim_v2` Legacy skim algorithm - clangd Used in clangd for keyword completion - fzy Algorithm from fzy (<https://github.com/jhawthorn/fzy>) - frizbee Algorithm used in the blink.cmp neovim plugin
    Possible values:

    •   arinae: Arinae: typo-resistant & natural algorithm, default

    •   clangd: Clangd fuzzy matching algorithm

    •   fzy: Fzy matching algorithm (https://github.com/jhawthorn/fzy)

    •   frizbee: Frizbee matching algorithm, typo resistant

    •   skim_v2: Previous skim fuzzy matching algorithm (v2)

--case <CASE> [default: smart]
    Case sensitivity Determines whether or not to ignore case while matching Note: this is not used for the Frizbee matcher, which uses a penalty system to favor case-sensitivity without enforcing it
    Possible values:

    •   respect: Case-sensitive matching

    •   ignore: Case-insensitive matching

    •   smart: Smart case: case-insensitive unless query contains uppercase

--typos [<TYPOS>] [default: disabled]
    Enable typo-tolerant matching When passed without a value (--typos), uses adaptive formula (pattern_length / 4). When passed with a value (e.g. --typos=2), uses that exact number as the maximum allowed typos. --typos=0 explicitly disables typo tolerance. Applies to both fzy and frizbee matchers.

--no-typos
    Disable typo-tolerant matching

--normalize
    Normalize unicode characters When set, normalize accents and other unicode diacritics/others

--split-match [<SPLIT_MATCH>...]
    Enable split matching and set delimiter Split matching runs the matcher in splits: foo:bar will match all items matching foo, then :, then bar if the delimiter is present, or match normally if not.

--last-match
    Highlight the last match found, not the first one This makes tiebreak more pertinent on path items where we want to prioritize a match on the last parts

--scheme <SCHEME> [default: default]
    Possible values:

    •   default: Default scheme, no modifications to the options

    •   path: Path scheme: will find the furthest match in the item and set pathname as the main tiebreak

    •   history: History scheme: will force index as the first tiebreak

INTERFACE

-b, --bind [<BIND>...] [default: ]
    Comma separated list of bindings You can customize key bindings of sk with `--bind` option which takes a comma-separated list of key binding expressions. Each key binding expression follows the following format: `<key>:<action>` See the [KEYBINDS] section for details **Example**: `sk --bind=ctrl-j:accept,ctrl-k:kill-line` ## Multiple actions can be chained using + separator. **Example**: `sk --bind 'ctrl-a:select-all+accept'` # Special behaviors With `execute(...)` and `reload(...)` action, you can execute arbitrary commands without leaving sk. For example, you can turn sk into a simple file browser by binding enter key to less command like follows: ```bash sk --bind "enter:execute(less {})" ``` Note: if no argument is supplied to reload, the default command is run. You can use the same placeholder expressions as in --preview. `sk` switches to the alternate screen when executing a command. However, if the command is expected to complete quickly, and you are not interested in its output, you might want to use execute-silent instead, which silently executes the command without the switching. Note that sk will not be responsive until the command is complete. For asynchronous execution, start your command as a background process (i.e. appending `&`). With the `if-query-empty` and `if-query-not-empty` actions, you could specify the action to execute depending on the query condition. For example: `sk --bind 'ctrl-d:if-query-empty(abort)+delete-char'` If the query is empty, skim will execute abort action, otherwise execute delete-char action. It is equal to 'delete-char/eof'.

-m, --multi
    Enable multiple selection Uses Tab and S-Tab by default for selection

--no-multi
    Disable multiple selection

--no-mouse
    Disable mouse

-c, --cmd <CMD>
    Command to invoke dynamically in interactive mode Will be invoked using sh -c on Unix-like systems and cmd /c on Windows

-i, --interactive
    Start skim in interactive mode In interactive mode, sk will run the command specified by --cmd option and display the results.

-I <REPLSTR> [default: {}]
    Replace replstr with the selected item in commands

--color <COLOR>
    Set color theme Format: [BASE][,COLOR:ANSI[:ATTR1:ATTR2:..]] See [THEME] section for details

--highlight-line
    Highlight the entire current line, not just the text

--no-hscroll
    Disable horizontal scroll

--keep-right
    Keep the right end of the line visible on overflow Effective only when the query string is empty

--skip-to-pattern <SKIP_TO_PATTERN>
    Show the matched pattern at the line start Line will start with the start of the matched pattern. Effective only when the query string is empty. Was designed to skip showing starts of paths of rg/grep results. e.g. sk -i -c "rg {q} --color=always" --skip-to-pattern '[^/]*:' --ansi

--no-clear-if-empty
    Do not clear previous line if the command returns an empty result Do not clear previous items if new command returns empty result. This might be useful to reduce flickering when typing new commands and the half-complete commands are not valid. This is not the default behavior because similar use cases for `grep` and `rg` have already been optimized where empty query results actually mean "empty" and previous results should be cleared.

--no-clear-start
    Do not clear items on start

--no-clear
    Do not clear screen on exit Do not clear finder interface on exit. If skim was started in full screen mode, it will not switch back to the original screen, so you'll have to manually run tput rmcup to return. This option can be used to avoid flickering of the screen when your application needs to start skim multiple times in order.

--show-cmd-error
    Show error message if command fails

--cycle
    Cycle the results by wrapping around when scrolling

--disabled
    Disable matching entirely

--disable-pattern <DISABLE_PATTERN>
    Disable items based on this regex pattern

LAYOUT

--layout <LAYOUT> [default: default]
    Set layout
    Possible values:

    •   default: Display from the bottom of the screen

    •   reverse: Display from the top of the screen

    •   reverse-list: Display from the top of the screen, prompt at the bottom

--reverse
    Shorthand for reverse layout

--height <HEIGHT> [default: 100%]
    Height of skim's window Can either be a row count or a percentage A negative row count will use term height - value as height

--no-height
    Disable height (force full screen)

--min-height <MIN_HEIGHT> [default: 10]
    Minimum height of skim's window Useful when the height is set as a percentage Ignored when --height is not specified

--margin <MARGIN> [default: 0]
    Screen margin For each side, can be either a row count or a percentage of the terminal size Format can be one of:
        - TRBL
        - TB,RL
        - T,RL,B
        - T,R,B,L Example: 1,10%

-p, --prompt <PROMPT> [default: > ]
    Set prompt

--cmd-prompt <CMD_PROMPT> [default: c> ]
    Set prompt in command mode

--selector <SELECTOR_ICON> [default: >]
    Set selected item icon

--multi-selector <MULTI_SELECT_ICON> [default: >]
    Set multi-selected item icon

DISPLAY

--ansi
    Parse ANSI color codes in input strings When using skim as a library, this has no effect and ansi parsing should be enabled by manually injecting a cmd_collector like so:
      use skim::prelude::*;

      let _options = SkimOptionsBuilder::default()
        .cmd("ls --color")
        .cmd_collector(Rc::new(RefCell::new(SkimItemReader::new(
          SkimItemReaderOption::default().ansi(true),
          ))) as Rc<RefCell<dyn CommandCollector>>)
        .build()
        .unwrap();

--tabstop <TABSTOP> [default: 8]
    Number of spaces that make up a tab

--info <INFO> [default: default]
    Set matching result count display position
      - hidden do not display info
      - inline[:SEP] display info in the same row as the input with an optional non-default
        separator
      - default display info in a dedicated row above the input
      - inline-right[:SEP] display info right-aligned in the same row as the input with an optional
        non-default separator

--no-info
    Alias for --info=hidden

--inline-info
    Alias for --info=inline

--header <HEADER>
    Set header, displayed next to the info The given string will be printed as the sticky header. The lines are displayed in the given order from top to bottom regardless of --layout option, and are not affected by --with-nth. ANSI color codes are processed even when --ansi is not set.

--header-lines <HEADER_LINES> [default: 0]
    Number of lines of the input treated as header The first N lines of the input are treated as the sticky header. When --with-nth is set, the lines are transformed just like the other lines that follow.

--border [<BORDER>...] [default: none]
    Draw borders around the UI components
    Possible values:

    •   force-off: ForceOff disables borders around popups too set with no_border

    •   none

    •   plain

    •   rounded

    •   double

    •   thick

    •   light-double-dashed

    •   heavy-double-dashed

    •   light-triple-dashed

    •   heavy-triple-dashed

    •   light-quadruple-dashed

    •   heavy-quadruple-dashed

    •   quadrant-inside

    •   quadrant-outside

--no-border
    Disables all borders, including in tmux/zellij popups

--wrap
    Wrap items in the item list

--multiline [<MULTILINE>]
    Split item text into multiple display lines at the given separator character defaults to \n if read0 is set, and \\n if not (matching literal \n in text) Each item's text will be split on the separator and each part will be displayed as a separate line within that item's row.

--scrollbar <THUMB> [default: ▐]
    Set scrollbar style for the item list The optional value is used as the indicator

--no-scrollbar
    Disable the scrollbar in the item list

--popup [<POPUP>...]
    Run in a tmux or zellij popup Format: `sk --popup <center|top|bottom|left|right>[,SIZE[%]][,SIZE[%]]` Note: this will try to detect a Zellij session, then a Tmux session This means that in nested sessions, `skim` will prioritize Zellij over Tmux

HISTORY

--history <HISTORY_FILE>
    History file Load search history from the specified file and update the file on completion. When enabled, CTRL-N and CTRL-P are automatically remapped to next-history and previous-history.

--history-size <HISTORY_SIZE> [default: 1000]
    Maximum number of query history entries to keep

--cmd-history <CMD_HISTORY_FILE>
    Command history file Load command query history from the specified file and update the file on completion. When enabled, CTRL-N and CTRL-P are automatically remapped to next-history and previous-history.

--cmd-history-size <CMD_HISTORY_SIZE> [default: 1000]
    Maximum number of query history entries to keep

PREVIEW

--preview <PREVIEW>
    Preview command Execute the given command for the current line and display the result on the preview window. {} in the command is the placeholder that is replaced to the single-quoted string of the current line. To transform the replacement string, specify field index expressions between the braces (See FIELD INDEX EXPRESSION for the details). **Examples**: ```bash sk --preview='head -$LINES {}' ls -l | sk --preview="echo user={3} when={-4..-2}; cat {-1}" --header-lines=1

--preview-window <PREVIEW_WINDOW> [default: right:50%]
    Preview window layout Format: [up|down|left|right][:SIZE][:hidden][:[no]wrap][:[no]pty][:+SCROLL[-OFFSET]] Determine the layout of the preview window. If the argument ends with: hidden, the preview window will be hidden by default until toggle-preview action is triggered. Long lines are truncated by default. Line wrap can be enabled with :wrap flag. For more interactive commands or previews that draw complex interfaces, the preview can use a PTY with the :pty flag. Note: the preview will run in a PTY (interactive session) on Linux and when wrap is unset SIZE can be either: - 0, which will hide the preview window - A positive size (eg 20) - A percentage of the total size (eg 50%) - A negative size, which will set the size of everything but the preview to that value +SCROLL[-OFFSET] determines the initial scroll offset of the preview window. SCROLL can be either a numeric integer or a single-field index expression that refers to a numeric integer. The optional -OFFSET part is for adjusting the base offset so that you can see the text above it. It should be given as a numeric integer (-INTEGER), or as a denominator form (-/INTEGER) for specifying a fraction of the preview window height. Examples:
      # Non-default scroll window positions and sizes
      sk --preview="head {}" --preview-window=up:30%
      sk --preview="file {}" --preview-window=down:2

      # Initial scroll offset is set to the line number of each line of
      # git grep output *minus* 5 lines (-5)
      git grep --line-number '' |
        sk --delimiter: --preview 'nl {1}' --preview-window +{2}-5

                  # Preview with bat, matching line in the middle of the window (-/2)
                  git grep --line-number '' |
                    sk --delimiter : \
                        --preview 'bat --style=numbers --color=always --highlight-line {2} {1}' \
                        --preview-window +{2}-/2

--image [<IMAGE>...]
    Enable image preview This will render the preview argument as an image instead of running it as a command. If set to detect or if no value is passed, it will try to detect the available image backends at startup, which will add a small delay before the first render. If set to halfblocks, it will always use the halfblocks rendering method Note: the backend detection will not work when piping data into skim, use SKIM_DEFAULT_COMMAND="find . -type f" sk --image instead of find . -type f | sk --image
    Possible values:

    •   detect: Default: automatically detect the available backend at startup

    •   halfblocks: Force halfblocks if you want blurry previews but a faster startup or if the detection fails

SCRIPTING

-q, --query <QUERY>
    Initial query

--cmd-query <CMD_QUERY>
    Initial query in interactive mode

--read0
    Read input delimited by ASCII NUL(\0) characters

--print0
    Print output delimited by ASCII NUL(\0) characters

--print-query
    Print the query as the first line

--print-cmd
    Print the command as the first line (after print-query)

--print-score
    Print the score after each item

--print-header
    Print the header as the first line (after print-score)

--print-current
    Print the current (highlighted) item as the first line (after print-header)

--output-format <OUTPUT_FORMAT>
    Set the output format If set, overrides all print_ options Will be expanded the same way as preview or commands

--no-strip-ansi
    Print the ANSI codes, making the output exactly match the input even when --ansi is on

-1, --select-1
    Do not enter the TUI if the query passed in -q matches only one item and return it

-0, --exit-0
    Do not enter the TUI if the query passed in -q does not match any item

--sync
    Synchronous search for multi-staged filtering Synchronous search for multi-staged filtering. If specified, skim will launch the TUI finder only after the input stream is complete. e.g. sk --multi | sk --sync

--pre-select-n <PRE_SELECT_N> [default: 0]
    Pre-select the first n items in multi-selection mode

--pre-select-pat <PRE_SELECT_PAT> [default: ]
    Pre-select the matched items in multi-selection mode Check the doc for the detailed syntax: https://docs.rs/regex/1.4.1/regex/

--pre-select-items <PRE_SELECT_ITEMS> [default: ]
    Pre-select the items separated by newline character Example: 'item1\nitem2'

--pre-select-file <PRE_SELECT_FILE>
    Pre-select the items read from this file

-f, --filter <FILTER>
    Query for filter mode

--shell <SHELL>
    Generate shell completion script Generate completion script for the specified shell: bash, zsh, fish, etc. The output can be directly sourced or saved to a file for automatic loading. Examples: source <(sk --shell bash) (immediate use) sk --shell bash >> ~/.bash_completion (persistent use) Supported shells: bash, zsh, fish, powershell, elvish
    Possible values:

    •   bash: Bourne Again SHell

    •   elvish: Elvish shell

    •   fish: Friendly Interactive SHell

    •   nushell: Nushell (nu)

    •   power-shell: PowerShell

    •   zsh: Zsh

--shell-bindings
    Generate shell key bindings - only for bash, zsh and fish Generate key bindings script after the shell completions See the shell option for more details

--man
    Generate man page and output it to stdout

--listen [<LISTEN>...]
    Run an IPC socket with optional name (defaults to sk) The socket expects Actions in Ron format (similar to Rust code), see ./src/tui/event.rs for all possible Actions To write to it, see the --remote option or the man page

--remote [<REMOTE>...]
    Send commands to an IPC socket with optional name (defaults to sk) The commands are read from stdin, one per line, in the same format as the actions in the bind flag. They can also be chained using + as a separator. All other arguments will be ignored

--log-level <LOG_LEVEL>
    Set the log level

--log-file <LOG_FILE>
    Pipe log output to a file

DEPRECATED

--expect <EXPECT> [default: ]
    Deprecated, kept for compatibility purposes. See accept() bind instead

MODES

  Normal mode
In normal mode, sk reads the input from stdin and displays the results interactively,
and the query is then used to fuzzily filter among the input lines.

  Interactive mode
Interactive mode is a special mode that allows you to run a command interactively and display
the results. It is enabled by the `--interactive` (or `-i`) option or by binding the
`toggle-interactive` action (default: <ctrl-q>).
The command is specified with the `--cmd` option.
Example: `sk --cmd 'rg {} --color=always' --interactive` will use `rg` to search for the query
in the current directory and display the results interactively.

SEARCH
By default, skim will start in `extended search`, giving some characters will have meaning.
Example: `^test rs$ | sh$` will match items starting with test and ending with rs or sh.

  AND (space)
A space between terms will act as an 'and' operator and will filter for items matching all terms.

  OR (|)
A vertical bar between terms will act as an 'or' operator and will filter for items matching one of the terms.

  Exact match (')
If a term is prefixed by a `'`, sk will search for exact occurrences of that term.
Exact search can be enabled by default by the `--exact` command-line flag. In exact mode, `'` will disable exact matching for that term.

  Anchored match (^|$)
If a term is prefixed by a `^` (resp. suffixed by a `$`), sk will search for matches starting (resp. ending) with that exact term.

  Negation (!)
If a term is prefixed by `!`, sk will exclude the items that match this term.

KEYBINDS
Keybinds can be set by the `--bind` option, which takes a comma-separated list of [key]:[action[+action2].
Actions can take arguments, specified either between parentheses `reload(ls)` or after a colon `reload:ls`

  Available keys (aliases in parentheses)
* ctrl-[a-z]
* ctrl-space
* ctrl-alt-[a-z]
* alt-[a-zA-Z]
* alt-[0-9]
* f[1-12]
* enter
* space
* bspace (bs)
* alt-up
* alt-down
* alt-left
* alt-right
* alt-enter
* alt-space
* alt-bspace (alt-bs)
* alt-/
* tab
* btab (shift-tab)
* esc
* del
* up
* down
* left
* right
* home
* end
* pgup
* pgdn
* shift-up
* shift-down
* shift-left
* shift-right
* alt-shift-up
* alt-shift-down
* alt-shift-left
* alt-shift-right
* any single character

  Actions[:default keys][*notes]
* abort: ctrl-c ctrl-q esc
* accept(...): enter *the argument will be printed when the binding is triggered*
* append-and-select
* backward-char: ctrl-b left
* backward-delete-char: ctrl-h bspace
* backward-delete-char/eof
* backward-kill-word: alt-bs
* backward-word: alt-b shift-left
* beginning-of-line: ctrl-a home
* clear-screen: ctrl-l
* delete-char: del
* delete-char/eof: ctrl-d
* deselect-all
* down: ctrl-j ctrl-n down
* end-of-line: ctrl-e end
* execute(...): *arg will be a command, see COMMAND EXPANSION for details
* execute-silent(...): *arg will be a command, see COMMAND EXPANSION for details
* forward-char: ctrl-f right
* forward-word: alt-f shift-right
* if-non-matched
* if-query-empty
* if-query-not-empty
* ignore
* kill-line
* kill-word: alt-d
* next-history: ctrl-n with `--history` or `--cmd-history`
* page-down: pgdn
* page-up: pgup
* half-page-down
* half-page-up
* preview-up: shift-up
* preview-down: shift-down
* preview-left
* preview-right
* preview-page-down
* preview-page-up
* previous-history: ctrl-p with `--history` or `--cmd-history`
* redraw
* refresh-cmd
* refresh-preview
* reload(...)
* select-all
* select-row
* set-preview-cmd(...): *arg will be a expanded expression, see COMMAND EXPANSION for details
* set-query(...): *arg will be a expanded expression, see COMMAND EXPANSION for details
* toggle
* toggle-all
* toggle+down: ctrl-i tab
* toggle-in: (--layout=reverse ? toggle+up: toggle+down)
* toggle-interactive
* toggle-out: (--layout=reverse ? toggle+down: toggle+up)
* toggle-preview
* toggle-preview-wrap
* toggle-sort
* toggle+up: btab shift-tab
* top
* unix-line-discard: ctrl-u
* unix-word-rubout: ctrl-w
* up: ctrl-k ctrl-p up
* yank: ctrl-y

COMMAND EXPANSION
In the `preview` flag, `execute`, `reload`, `set-query`... binds, sk will expand placeholders:
* {} (or --replstr if used) will be expanded to the current item.
* {q} (or {cq} for legacy reasons) will be expanded to the current query input.
* {+} will be expanded to either the currently selected items in multi-select mode, or the current
 item in single-select.
* {n} will be expanded to the index of the current item.
* {+n} will be expanded to the index(es) of the corresponding {+} item(s).
* {FIELD_INDEX_EXPRESSION} will be expanded to the field index expression run against the current
 item.
* {+FIELD_INDEX_EXPRESSION} will be expanded to the field index expression run against the {+}
 item(s).

  Field index expression
skim will expand some expressions between {..}.
It will expand to the corresponding fields, separated by the `--delimiter|-d` option (see there for details).
* `{n}` will be the n-th field.
* `{n..m}` will be the fields from n to m, inclusive, separated by a space
* `{-n}` will be the n-th, starting from the end, -1 will be the last field etc.

ENVIRONMENT VARIABLES

  SKIM_DEFAULT_COMMAND
If set, skim will collect items with this command if no input is piped in.
If not set, defaults to `find .` on unix-like systems and `dir /s /b /A:-D` on Windows.

  SKIM_DEFAULT_OPTIONS
Will be parsed and used as default options. Example: `--reverse --multi`

  SKIM_OPTIONS_FILE
If the variable is set to the path of an existing file, the contents of this file will be parsed and used as default options.
It supports `#` as a comment start, which can be escaped using `##`.
Example:
```
# Preview
--preview 'echo {}'
--preview-window 'left:30%' # Preview window
--reverse
--prompt '## '
```

  NO_COLOR
If set to a non-empty value, will disable coloring

THEME
Available themes:
    * none: base color scheme
    * molokai: molokai 256color
    * light: light 256color
    * 16: dark base16 theme
    * bw: black & white theme
    * dark | default: dark 256color, default value
    * all 4 catppuccin variants:
        * catppuccin-latte
        * catppuccin-macchiato
        * catppuccin-frappe
        * catppuccin-mocha
Available color names:
    * normal (or empty string): normal text
    * matched (or hl): matched text
    * current (or fg+): current line foreground
    * bg+: current line background (special case, always sets background)
    * current_match (or hl+): matched text in current line
    * query: query text
    * spinner: spinner character
    * info: info text (match count)
    * prompt: prompt text
    * cursor (or pointer): cursor/pointer
    * selected (or marker): selected item marker
    * header: header text
    * border: border lines
    * scrollbar: item list scrollbar thumb
Adding `-fg`, `_fg`, `-bg`, `_bg`, `-underline`, `_underline` sets the corresponding part of
the color. For instance, `normal-fg` (or simply `fg`) will set the foreground normal color.
Color formats:
    * 0-255: ANSI terminal color
    * #rrggbb: 24-bit color
Available attrs:
    * x | regular: resets the modifiers, use it before the others
    * b | bold
    * u | underline
    * c | crossed-out
    * d | dim
    * i | italic
    * r | reverse
Example: `--color '16,normal-fg:0+bold,matched-fg:#ffffff+u,cursor-bg:#deadbe'` will start with the
 base 16 theme and override it with a bold ANSI color 0 foreground (black), a hex ffffff (full
 white) underlined foreground for matched parts and a #deadbe (pale rose, apparently) cursor background.

LISTEN/REMOTE
skim can be controlled from other processes, using the `--listen` (and optionally `--remote`) flags.
To achieve this, run the server instance using `sk --listen optional_address` (the address defaults to `sk`).
It will then start listening on a named socket for instructions.
To send instructions, you can use `sk --remote optional_address` or any other tool that allows us to interact with such sockets,
such as `socat` on linux: `echo 'ToggleIn' | socat -u STDIN ABSTRACT-CONNECT:optional_address`. Instructions correspond to skim's Actions and need to be sent in Ron format.
When using `sk --remote`, pipe in action chains (see the KEYBINDS section), for instance `echo 'up+select-row' | sk --remote optional_address`

EXIT CODES
* 0: success
* 1: no match
* 130: interrupt (ctrl-c or esc)
* others: error

VERSION
v5.1.3